Get the organizer event list with ticket types

This API is used to get a list of events created under the organizer profile.
The path parameter needs to pass these two values:

organizer_URL is the organizer page URL where the list of events will come from
past_event is a boolean parameter used to specify whether you want to fetch past events or active & upcoming events. True for the past events and false for active & upcoming events.
isFromOrganizerProfilePage is used to fetch only those events which are not hidden on the organizer profile page.

Path Parameters
Required

Body Parameters
Not Required

Response
Details / Check response object

Authentication required - ❌

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Here are the descriptions of response attributes, which will return in the form array of JSON.

AttributeDescription
eventIdThis event ID represents the unique ID of each event. It will generate automatically when creating a new event.
minTicketPriceThis represents the minimum ticket price from the list of tickets, It does not include Add-on tickets.
maxTicketPriceThis represents the maximum ticket price from the list of tickets, It does not include Add-on tickets.
nameIt contains the name of the event.
eventURLEvent URL is a unique identifier for your event.
E.g https://www.accelevents.com/events/demo. Here, "demo" is the event URL.
eventEndDateThis is the event end date in YYYY/MM/DD HH:MM format
eventLogoThis contains the event logo URL.
eventLocationThis is the event location.
eventStartDateThis is the event start date in YYYY/MM/DD HH:MM format
equivalentTimezoneThis is the timezone equivalent to custom timezone.
currencyThis is the currency used for the event.
saleStartDateThis is the ticket start date.
eventDescriptionThis is the event description.
ticketingTypeListThis contains a list of ticket types for the event.
Below are the attributes of Ticket type object.
  • *typeId**: Unique Identifier of a ticket. It is an auto-generated key while creating tickets.
  • *name**: Ticket name assigned to the ticket.
  • *price**: The amount per ticket.
  • *fee**: It will show the extra charges on the ticket amount.
  • *endDate**: The ticket type's sale end date.
  • *startDate**: The ticket type's sale start date.
  • *bundleType**: This is a bundle type of ticket e.g. INDIVIDUAL_TICKET, TABLE, SPONSOR or BLOCK.
  • *ticketsPerTable**: Number of tickets per table.
  • *remainingTickets**: Number of available tickets to purchase.
  • *maxTickerPerBuyer**: It will provide a count on the number of tickets that users can purchase at a time.
  • *minTickerPerBuyer**: It will provide a minimum count for ticket purchase.
  • *ticketTypeDescription**: It will return a custom description for ticket type.
  • *enableTicketDescription**: If its value is true then the ticket description will display.
  • *passFeesToBuyer**: It will return true if the amount of the fee is passed to the buyers.
  • *position**: It will return a double value which is useful to sort categories.
  • *ticketType**: It will return a ticket type, the value can be FREE or PAID.
  • *categoryColor**: It will return a category color.
  • *totalSoldTickets**: It will return a sold ticket count.
  • *categoryId**: It will return a category id.
  • *dataType**: It will provide details of available datatypes in a specified event, the value will be like Add-on or Ticket.
eventCapacityReachIs the event capacity reached? it returns as true if the total tickets sold are greater or equal to the event capacity; if not, it returns as false.
totalAeRevenueIt represents the total AE revenue for an event.
eventStatusIt represents the event status.
totalSoldTicketsIt represents the total number of sold tickets for an event.
planConfigNamesIt is the plan name associated with the event.
hideEventFromOrganizerThis flag is used when deciding if an event should be hidden on the organizer profile page or not.
recurringEventIt will contain a check if it's a recurring event or no check if it's not.
Path Params
string
required

Unique identifier of Organizer

boolean
required
Defaults to true

Want to fetch past event or active event, to get past event pass true for active event pass false.

Query Params
boolean
Defaults to false

Pass true, to fetch only those events which are not hidden to show on organizer profile page.

Headers
string
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json